Bug 1287241 - Multiple image streams that support jee when creating new application.
Multiple image streams that support jee when creating new application.
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: kconner
Wenjing Zheng
Depends On:
  Show dependency treegraph
Reported: 2015-12-01 14:52 EST by Ryan Howe
Modified: 2017-02-17 19:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-02-17 19:24:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker CLOUD-864 Trivial Closed Remove supports java from a-mq image stream 2017-09-13 20:08 EDT

  None (edit)
Description Ryan Howe 2015-12-01 14:52:46 EST
Description of problem:
Multiple image streams that support jee when creating new application.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgraded from 3.0 to 3.1

2. Ran # oc replace -n openshift -f /usr/share/openshift/examples/xpaas-streams
imagestream "jboss-webserver3-tomcat7-openshift" replaced
imagestream "jboss-webserver3-tomcat8-openshift" replaced
imagestream "jboss-eap6-openshift" replaced
imagestream "jboss-amq-6" replaced

3. Then # oc new-app https://github.com/42sixsolutions/claire.git -n test
error: multiple images or templates matched "jee": 2

Actual results:

error: multiple images or templates matched "jee": 2

Expected results:

Choose the correct is to use and not error trying to use multiple. 

Additional info:
# oc get imagestream -n openshift -o yaml | grep jee -B6 -A3
    dockerImageRepository: registry.access.redhat.com/jboss-amq-6/amq-openshift
    - annotations:
        description: JBoss ActiveMQ 6 broker image.
        iconClass: icon-jboss
        supports: amq:6.2,jee,java
        tags: javaee
        version: "6.2"
      name: "6.2"
    dockerImageRepository: registry.access.redhat.com/jboss-eap-6/eap-openshift
    - annotations:
        description: JBoss EAP 6 STI images.
        iconClass: icon-jboss
        supports: eap:6.4,jee,java
        tags: javaee
        version: "6.4"
      name: "6.4"
Comment 1 Ben Parees 2016-01-04 10:39:02 EST
This is working as designed, the repository is identified as containing a java application, and there are two imagestreamtags which "support" java, there's no way to choose between them.

the only change that could be considered here is to remove "java" from the "supports" list on the AMQ image.  Assigning to the middleware team to update that.
Comment 2 Ben Parees 2016-01-04 12:56:30 EST
Rob/Kevin, the "supports" annotation is intended to indicate what types of applications the image can build, so it is probably not appropriate for amq since it's not a builder image.
Comment 3 kconner 2017-02-17 19:24:10 EST
This issue is now out of date, it is no longer a bug.  Closing as "notabug" since there is no "out of date" option.

Note You need to log in before you can comment on or make changes to this bug.